<?php

namespace App\Enums;

enum PlatformEnum: string
{
    case LEMMY = 'lemmy';

    public function channelLabel(): string
    {
        return match ($this) {
            self::LEMMY => 'Community',
        };
    }

    public function channelLabelPlural(): string
    {
        return match ($this) {
            self::LEMMY => 'Communities',
        };
    }
}
